Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillChartDataset

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElementDataset
          net.sf.jasperreports.engine.fill.JRFillChartDataset

All Implemented Interfaces:
  java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset

Direct Known Subclasses:
  JRFillCategoryDataset, JRFillGanttDataset, JRFillHighLowDataset, JRFillPieDataset, JRFillTimePeriodDataset, JRFillTimeSeriesDataset, JRFillValueDataset, JRFillXyDataset, JRFillXyzDataset

    public abstract class JRFillChartDataset

extends JRFillElementDataset
implements JRChartDataset

Version:
  $Id: JRFillChartDataset.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset
`datasetRun, incrementGroup, parent, resetGroup`

Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset
`CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

Constructor Summary
`protected` | `JRFillChartDataset(JRChartDataset dataset, JRFillObjectFactory factory)`

Method Summary
`abstract org.jfree.data.general.Dataset` | `getCustomDataset()`
`org.jfree.data.general.Dataset` | `getDataset()`
`abstract java.lang.Object` | `getLabelGenerator()`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset
`clone, customEvaluate, customIncrement, customInitialize, evaluate, evaluateDatasetRun, evaluateIncrementWhenExpression, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getInputDataset, getResetGroup, getResetType, getResetTypeValue, getTimeZone, increment, initialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset
`getDatasetType, validate`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`collectExpressions, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Constructor Detail

### JRFillChartDataset

    protected JRFillChartDataset(JRChartDataset dataset,
                                 JRFillObjectFactory factory)

Method Detail

### getDataset

    public org.jfree.data.general.Dataset getDataset()

### getCustomDataset

    public abstract org.jfree.data.general.Dataset getCustomDataset()

### getLabelGenerator

    public abstract java.lang.Object getLabelGenerator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com